Subject: bug#12832: 24.3.50; Emacs lockup when idle

From: Andy Moreton <[email-masked]>
Date: Fri, 09 Nov 2012 10:48:31 +0000

On 09/11/2012 09:56, Eli Zaretskii wrote:
>> Date: Thu, 08 Nov 2012 18:33:11 +0000
>> From: Andy Moreton <[email-masked]>
>> CC: [email-masked]
>>
>> I rebuild emacs every day from trunk, but only do a full bootstrap when
>> necessary. I have updated the Mingw compiler this week though, so that could
>> be an issue.
>
> Was the build optimized?  (I'm guessing not, but I want to be sure.)

system-configuration-options includes --no-opt, so unoptimized.

>> Emacs was not consuming any cycles - the system was completely idle.
>
> OK.  Any idea why you had so many threads?  Normally, Emacs 24.3.50
> should have only 3: the main thread, the input thread, and a thread
> that runs atimers (Emacs arranges for a timer to fire every 2 seconds,
> to check whether any new input has arrived.)  Yet another thread, the
> 4th one, is automatically started by the OS when you attach a debugger
> to Emacs, and this is it:
>
>    Thread 6 (Thread 8744.0x2080):
>    #0  0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
>    No symbol table info available.
>    #1  0x7c952119 in ntdll!KiIntSystemCall () from C:\WINDOWS\system32\ntdll.dll
>    No symbol table info available.
>
> But what are the other 2 threads you have, namely:
[snipped]
 > One of them appears to be reading something, the other is waiting for
 > some event.  Did you have some subprocess running or some network
 > connection active at that time?  Or maybe your routine operation has
 > some subprocesses (a speller, perhaps?) and/or network connections
 > active?

I have some files open via tramp (pscp method) on another machine. This uses 
putty for ssh (plink.exe) and scp (pscp.exe) for file tranfers. At the time of 
the lockup, emacs had a CMD.EXE subprocess running plink.exe.

>> > We need more data points on this.
>>
>> I'll see if this is reproduceable and try to get more info.
>
> Thanks.